package com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.statisticalReport.info.modular.ssSafeProductInspectionResult.entity.SsSafeProductInspectionResult;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hjc
 * @version 1.0
 * @Description
 * @date 2024/6/1 14:53
 */
@Data
public class SsSafeProductInspectionResultVO extends SsSafeProductInspectionResult {


    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区id；", position = 6)
    private Integer orgId;

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区名称；", position = 6)
    private String orgName;

    /** 外库depot_qh.basic_storehouse的id；仓房id */
    @ApiModelProperty(value = "仓房名称", position = 7)
    private String storehouseName;

    /** 外库depot_qh.basic_warehouse的id；货位id; */
    @ApiModelProperty(value = "货位名称;", position = 8)
    private String warehouseName;

    /** 检查人 */
    @ApiModelProperty(value = "检查人-详情", position = 10)
    private String checkPeople;

    /** 检查日期 */
    @ApiModelProperty(value = "检查日期-详情", position = 12)
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date checkDate;


}
